Subject: [Xml-sg-cmt] Suggested update to references

From: Sandy Ginoza <[email-masked]>
Date: Wed, 30 Mar 2022 14:26:57 -0700

Hi all,

We received the following which suggests including full names in references/docs rather than initials.  This is a style guide issue in that 7322 currently defines the reference format.  With the RFC Editor model pending, is this something the CMT wants to consider or let wait until an update to 7322 is proposed? 

Thanks,
Sandy 

> Begin forwarded message:
> 
> From: "Martin Thomson" <[email-masked]>
> Subject: Re: AUTH48 [LB]: RFC 9113 <draft-ietf-httpbis-http2bis-07.txt> NOW AVAILABLE
> Date: March 29, 2022 at 11:14:04 PM PDT
> To: "Lynne Bartholomew" <[email-masked]>
> Cc: Cory Benfield <[email-masked]>, [email-masked], Mark Nottingham <[email-masked]>, [email-masked], rfc-editor <[email-masked]>
> 
> An additional note on the references...
> 
> On Wed, Mar 30, 2022, at 11:54, Martin Thomson wrote:
>> On Wed, Mar 30, 2022, at 11:11, Lynne Bartholomew wrote:
>>>> I've added Kazuho's name to the RFC 9218 reference as it should be, but it seems like the reference format doesn't retain this.  I consider that a major problem with xml2rfc.
>>> 
>>> Please let us know if you would like us to report this issue to the v3 
>>> trouble-ticket system.
>> 
>> I'd appreciate that.  Or point me in the right direction and I can do 
>> that.  I've opened https://github.com/ietf-tools/xml2rfc/issues/750, 
>> but I understand that this is not the right place.
> 
> Discussion with Kesara showed that I didn't understand the construction of references.  I added a fullname (alongside the asciiFullname), but I failed to remove the initials and surname attributes.  As a result, the fullname attribute was ignored in favour of the initials and surname.  I don't know how to construct initials in this case.  I'm also fairly certain that what xml2rfc has done is wrong.
> 
> Even if this is not something we can fix here, I'd like to ensure that we do better; if not now, then later.  I think that others have said this, but we can and should just include full names.
>

---

From: Sandy Ginoza <[email-masked]>
Date: Wed, 30 Mar 2022 14:44:38 -0700

Hi again,

Btw, RFC 7993 includes this references example, but there is no way to get this output afaik.

        <reference anchor="RFC9218" target="https://www.rfc-editor.org/info/rfc9218">
          <front>
            <title>Extensible Prioritization Scheme for HTTP</title>
            <author initials="K" surname="Oku" asciiFullname="Kazuho Oku" fullname="奥 一穂"/>
            <author initials="L" surname="Pardue" fullname="Lucas Pardue"/>
            <date year="2022" month="March"/>
          </front>
          <seriesInfo name="RFC" value="9218"/>
          <seriesInfo name="DOI" value="10.17487/RFC9218"/>
        </reference>
      </references>
    </references>

Produces the following:

   [HTTP-PRIORITY]
              Oku, K. and L. Pardue, "Extensible Prioritization Scheme
              for HTTP", RFC 9218, DOI 10.17487/RFC9218, March 2022,
              <https://www.rfc-editor.org/info/rfc9218>.

        <reference anchor="RFC9218" target="https://www.rfc-editor.org/info/rfc9218">
          <front>
            <title>Extensible Prioritization Scheme for HTTP</title>
            <author asciiFullname="Kazuho Oku" fullname="奥 一穂"/>
            <author initials="L" surname="Pardue" fullname="Lucas Pardue"/>
            <date year="2022" month="March"/>
          </front>
          <seriesInfo name="RFC" value="9218"/>
          <seriesInfo name="DOI" value="10.17487/RFC9218"/>
        </reference>

Produces the following: 

   [HTTP-PRIORITY]
              一穂, 奥. and L. Pardue, "Extensible Prioritization Scheme
              for HTTP", RFC 9218, DOI 10.17487/RFC9218, March 2022,
              <https://www.rfc-editor.org/info/rfc9218>.

Is there a better way to do this? 

Thanks!
Sandy 

> On Mar 30, 2022, at 2:26 PM, Sandy Ginoza <[email-masked]> wrote:
> 
> Hi all,
>

---

From: "John R Levine" <[email-masked]>
Date: 30 Mar 2022 17:52:22 -0400

> We received the following which suggests including full names in references/docs rather than initials.  This is a style guide issue in that 7322 currently defines the reference format.  With the RF…

Personally, I think it is long past time to use full names in references 
but I don't know what effect it'll have on the tools, or on our shiny new 
bibxml database.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly